## hg-fast-export 20120921

=== Makefile ===
SVN ?= /usr/local/svn
APR_INCLUDES ?= /usr/include/apr-1.0
CFLAGS += -I${APR_INCLUDES} -I${SVN}/include/subversion-1 -pipe -O2 -std=c99
LDFLAGS += -L${SVN}/lib -lsvn_fs-1 -lsvn_repos-1

all: svn-fast-export svn-archive

svn-fast-export: svn-fast-export.c
svn-archive: svn-archive.c

.PHONY: clean

clean:
	rm -rf svn-fast-export svn-archive

## hg-fast-export 20110318

=== debian/changelog ===
hg-fast-export (20110318-2) unstable; urgency=low

  * Add git-hg wrapper script (Closes: #622172)

 -- Andrey Rahmatullin <wrar@wrar.name>  Wed, 20 Apr 2011 21:16:35 +0600

hg-fast-export (20110318-1) unstable; urgency=low

  * Initial release (Closes: #574914)

 -- Andrey Rahmatullin <wrar@wrar.name>  Sun, 10 Apr 2011 22:52:33 +0600

=== debian/control ===
Source: hg-fast-export
Section: vcs
Priority: optional
Maintainer: Andrey Rahmatullin <wrar@wrar.name>
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3)
Standards-Version: 3.9.2
Homepage: http://repo.or.cz/w/fast-export.git
Vcs-Git: git://git.debian.org/collab-maint/hg-fast-export.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/hg-fast-export.git;a=summary

Package: hg-fast-export
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, git, mercurial
Description: mercurial to git converter using git-fast-import
 hg-fast-export tool allows incremental import of mercurial repositories
 to git repositories.
 .
 It can automatically import a local hg repo into a local git repo using
 just one command. Subsequent importing of new changesets is supported.
 .
 Included git-hg wrapper script can be used to transparently track Mercurial
 repositories without a separate checkout. It also includes experimental
 support for pushing back to Mercurial.

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_auto_build override_dh_auto_install

%:
	dh $@ --with python2

override_dh_auto_build:

override_dh_auto_install:
	install -D -m 0755 hg-fast-export.sh debian/hg-fast-export/usr/bin/hg-fast-export
	install -D -m 0755 hg-reset.sh debian/hg-fast-export/usr/bin/hg-reset
	mkdir -p debian/hg-fast-export/usr/share/hg-fast-export/
	install -D -m 0755 hg-fast-export.py hg-reset.py debian/hg-fast-export/usr/share/hg-fast-export/
	install -D -m 0644 hg2git.py debian/hg-fast-export/usr/share/hg-fast-export/
	install -D -m 0755 debian/git-hg debian/hg-fast-export/usr/bin/

## hg-fast-export 20120203

=== debian/changelog ===
hg-fast-export (20120203-1) unstable; urgency=low

  [ Barak A. Pearlmutter ]
  * Use debian/hg-fast-export.install instead of commands in debian/rules

  [ Andrey Rahmatullin ]
  * New upstream snapshot (Closes: #652724)
  * Update git-hg and README.git-hg from
    https://github.com/offbytwo/git-hg/tree/b3d5dc0dd3 and update
    debian/git-hg.1 (Closes: #655247)
  * Update debian/copyright

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 04 Feb 2012 00:10:55 +0600

## hg-fast-export 20120618

=== debian/changelog ===
hg-fast-export (20120618-1) unstable; urgency=low

  * New upstream snapshot
  * Update git-hg from https://github.com/cosmin/git-hg/tree/96cb6a7b and
    update debian/git-hg.1
  * Update debian/hg-fast-export.1
  * Bump Standards-Version: to 3.9.3 (no change needed)

 -- Andrey Rahmatullin <wrar@wrar.name>  Mon, 18 Jun 2012 15:09:29 +0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@wrar.name>
 Build-Depends: debhelper (>= 8), python (>= 2.6.6-3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://repo.or.cz/w/fast-export.git
 Vcs-Git: git://git.debian.org/collab-maint/hg-fast-export.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/hg-fast-export.git;a=summary

## hg-fast-export 20120921

=== debian/changelog ===
hg-fast-export (20120921-1) unstable; urgency=low

  * Upload to unstable
  * Use canonical URLs in Vcs-* control fields

 -- Andrey Rahmatullin <wrar@wrar.name>  Tue, 06 Aug 2013 23:43:31 +0600

hg-fast-export (20120921-1~exp1) experimental; urgency=low

  * Upload to experimental
  * New upstream snapshot, fixing compatibility with Mercurial 2.3
  * Update git-hg from
    https://github.com/cosmin/git-hg/tree/c1fabd7b9ae5f557e61206aec9774019cf670f4a
    (Closes: #678518)
  * Bump Standards-Version: to 3.9.4 (no change needed)

 -- Andrey Rahmatullin <wrar@wrar.name>  Fri, 21 Sep 2012 22:07:06 +0600

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@wrar.name>
 Build-Depends: debhelper (>= 8), python (>= 2.6.6-3)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://repo.or.cz/w/fast-export.git
-Vcs-Git: git://git.debian.org/collab-maint/hg-fast-export.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/hg-fast-export.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/hg-fast-export.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hg-fast-export.git;a=summary
 
 Package: hg-fast-export
 Architecture: all

## hg-fast-export 20140308

=== debian/changelog ===
hg-fast-export (20140308-1) unstable; urgency=medium

  * New upstream snapshot
    + Fix work with Mercurial 2.9 (Closes: #741087)

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 08 Mar 2014 18:49:33 +0600

hg-fast-export (20140206-1) unstable; urgency=medium

  * New upstream snapshot
  * Update git-hg and its README from
    https://github.com/cosmin/git-hg/tree/e273969150ba9d909a92f20928afb2139c7093b4
  * Bump Standards-Version: to 3.9.5 (no change needed)
  * Update hg-reset.1

 -- Andrey Rahmatullin <wrar@wrar.name>  Thu, 06 Feb 2014 23:06:09 +0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@wrar.name>
 Build-Depends: debhelper (>= 8), python (>= 2.6.6-3)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://repo.or.cz/w/fast-export.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/hg-fast-export.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hg-fast-export.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install
.PHONY: $(dh_targets)
$(dh_targets) %:
	dh $@ --with python2

.PHONY: override_dh_auto_build override_dh_auto_install

override_dh_auto_build:

override_dh_auto_install:
	install -D -m 0755 hg-fast-export.sh debian/hg-fast-export/usr/bin/hg-fast-export
	install -D -m 0755 hg-reset.sh debian/hg-fast-export/usr/bin/hg-reset
